Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Create, list, and revoke API keys programmatically.
GET /api/keys
[ { "id": "clx123...", "name": "Production", "keyPrefix": "sk-occ-dUioZ7ag", "mode": "router", "isActive": true, "lastUsedAt": "2026-02-28T10:30:00Z", "createdAt": "2026-02-27T08:00:00Z" } ]
POST /api/keys
{ "name": "Production", "mode": "router" }
{ "name": "My OpenAI Key", "mode": "byok", "upstreamBaseUrl": "https://api.openai.com/v1", "upstreamApiKey": "sk-..." }
{ "id": "clx456...", "fullKey": "sk-occ-abc123def456...", "keyPrefix": "sk-occ-abc123de" }
fullKey
DELETE /api/keys/:id